Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarsten Reckord2017-01-31 13:10:39 -0500
committerCarsten Reckord2017-02-01 11:48:48 -0500
commit93751fd4655ea71accefea4ecf04f14a2acc4cf6 (patch)
tree56142083549fb547f471892615f9a84ace009f4d
parent28fcf4edfc8e812332fc2c6bd241fab6e0f56094 (diff)
downloaduss-93751fd4655ea71accefea4ecf04f14a2acc4cf6.tar.gz
uss-93751fd4655ea71accefea4ecf04f14a2acc4cf6.tar.xz
uss-93751fd4655ea71accefea4ecf04f14a2acc4cf6.zip
511406: [USS] NoClassDefFoundError: org/apache/http/client/fluent/Executor
Restrict HttpClient version to < 4.4 until Orbit bundles for 4.5.2 are fixed Bug: 511406 Change-Id: I0057f1886ccbc1cdb435796655749abd514e831b Task-Url: https://bugs.eclipse.org/bugs/show_bug.cgi?id=511406 Signed-off-by: Carsten Reckord <reckord@yatta.de>
-rw-r--r--org.eclipse.userstorage-feature/feature.xml2
-rw-r--r--org.eclipse.userstorage-feature/pom.xml2
-rw-r--r--org.eclipse.userstorage.sdk-feature/feature.xml2
-rw-r--r--org.eclipse.userstorage.sdk-feature/pom.xml2
-rw-r--r--org.eclipse.userstorage.sdk/META-INF/MANIFEST.MF2
-rw-r--r--org.eclipse.userstorage.sdk/pom.xml2
-rw-r--r--org.eclipse.userstorage.site/pom.xml2
-rw-r--r--org.eclipse.userstorage.tests/META-INF/MANIFEST.MF10
-rw-r--r--org.eclipse.userstorage.tests/pom.xml2
-rw-r--r--org.eclipse.userstorage.ui/META-INF/MANIFEST.MF10
-rw-r--r--org.eclipse.userstorage.ui/pom.xml2
-rw-r--r--org.eclipse.userstorage/META-INF/MANIFEST.MF16
-rw-r--r--org.eclipse.userstorage/pom.xml2
13 files changed, 28 insertions, 28 deletions
diff --git a/org.eclipse.userstorage-feature/feature.xml b/org.eclipse.userstorage-feature/feature.xml
index 02aa700..0d717b2 100644
--- a/org.eclipse.userstorage-feature/feature.xml
+++ b/org.eclipse.userstorage-feature/feature.xml
@@ -12,7 +12,7 @@
<feature
id="org.eclipse.userstorage"
label="%featureName"
- version="1.0.0.qualifier"
+ version="1.0.1.qualifier"
provider-name="%providerName"
license-feature="org.eclipse.userstorage.license"
license-feature-version="0.0.0">
diff --git a/org.eclipse.userstorage-feature/pom.xml b/org.eclipse.userstorage-feature/pom.xml
index ff79cd2..b8c7f90 100644
--- a/org.eclipse.userstorage-feature/pom.xml
+++ b/org.eclipse.userstorage-feature/pom.xml
@@ -20,6 +20,6 @@
</parent>
<groupId>org.eclipse.userstorage.features</groupId>
<artifactId>org.eclipse.userstorage</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
</project>
diff --git a/org.eclipse.userstorage.sdk-feature/feature.xml b/org.eclipse.userstorage.sdk-feature/feature.xml
index c609ef2..8670bb2 100644
--- a/org.eclipse.userstorage.sdk-feature/feature.xml
+++ b/org.eclipse.userstorage.sdk-feature/feature.xml
@@ -12,7 +12,7 @@
<feature
id="org.eclipse.userstorage.sdk"
label="%featureName"
- version="1.0.0.qualifier"
+ version="1.0.1.qualifier"
provider-name="%providerName"
license-feature="org.eclipse.userstorage.license"
license-feature-version="0.0.0">
diff --git a/org.eclipse.userstorage.sdk-feature/pom.xml b/org.eclipse.userstorage.sdk-feature/pom.xml
index 02236bf..771df11 100644
--- a/org.eclipse.userstorage.sdk-feature/pom.xml
+++ b/org.eclipse.userstorage.sdk-feature/pom.xml
@@ -20,6 +20,6 @@
</parent>
<groupId>org.eclipse.userstorage.features</groupId>
<artifactId>org.eclipse.userstorage.sdk</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-feature</packaging>
</project>
diff --git a/org.eclipse.userstorage.sdk/META-INF/MANIFEST.MF b/org.eclipse.userstorage.sdk/META-INF/MANIFEST.MF
index df64e37..eeee94c 100644
--- a/org.eclipse.userstorage.sdk/META-INF/MANIFEST.MF
+++ b/org.eclipse.userstorage.sdk/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.userstorage.sdk;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
diff --git a/org.eclipse.userstorage.sdk/pom.xml b/org.eclipse.userstorage.sdk/pom.xml
index 984762f..ffff21b 100644
--- a/org.eclipse.userstorage.sdk/pom.xml
+++ b/org.eclipse.userstorage.sdk/pom.xml
@@ -20,6 +20,6 @@
</parent>
<groupId>org.eclipse.userstorage</groupId>
<artifactId>org.eclipse.userstorage.sdk</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/org.eclipse.userstorage.site/pom.xml b/org.eclipse.userstorage.site/pom.xml
index cb72cb3..fc016a0 100644
--- a/org.eclipse.userstorage.site/pom.xml
+++ b/org.eclipse.userstorage.site/pom.xml
@@ -20,6 +20,6 @@
</parent>
<groupId>org.eclipse.userstorage</groupId>
<artifactId>org.eclipse.userstorage.site</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-repository</packaging>
</project>
diff --git a/org.eclipse.userstorage.tests/META-INF/MANIFEST.MF b/org.eclipse.userstorage.tests/META-INF/MANIFEST.MF
index 680e099..89bbae5 100644
--- a/org.eclipse.userstorage.tests/META-INF/MANIFEST.MF
+++ b/org.eclipse.userstorage.tests/META-INF/MANIFEST.MF
@@ -1,15 +1,15 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.userstorage.tests
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.0.0,4.0.0)",
- org.apache.httpcomponents.httpclient;bundle-version="[4.0.0,5.0.0)";visibility:=reexport,
- org.apache.httpcomponents.httpcore;bundle-version="[4.0.0,5.0.0)";visibility:=reexport,
+ org.apache.httpcomponents.httpclient;bundle-version="[4.0.0,4.4.0)";visibility:=reexport,
+ org.apache.httpcomponents.httpcore;bundle-version="[4.0.0,4.4.0)";visibility:=reexport,
org.eclipse.userstorage;bundle-version="[1.0.0,2.0.0)";visibility:=reexport,
org.eclipse.jetty.server;bundle-version="[9.0.0,10.0.0)";visibility:=reexport,
org.eclipse.jetty.servlet;bundle-version="[9.0.0,10.0.0)";visibility:=reexport,
@@ -18,6 +18,6 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.0.0,4.0.0)",
org.eclipse.jetty.util;bundle-version="[9.0.0,10.0.0)";visibility:=reexport,
javax.servlet;bundle-version="[3.0.0,4.0.0)";visibility:=reexport,
org.junit;bundle-version="[4.11.0,5.0.0)";visibility:=reexport
-Export-Package: org.eclipse.userstorage.tests;version="1.0.0";x-internal:=true,
- org.eclipse.userstorage.tests.util;version="1.0.0";x-internal:=true
+Export-Package: org.eclipse.userstorage.tests;version="1.0.1";x-internal:=true,
+ org.eclipse.userstorage.tests.util;version="1.0.1";x-internal:=true
Eclipse-RegisterBuddy: org.eclipse.userstorage
diff --git a/org.eclipse.userstorage.tests/pom.xml b/org.eclipse.userstorage.tests/pom.xml
index 730a468..887fca5 100644
--- a/org.eclipse.userstorage.tests/pom.xml
+++ b/org.eclipse.userstorage.tests/pom.xml
@@ -20,6 +20,6 @@
</parent>
<groupId>org.eclipse.userstorage</groupId>
<artifactId>org.eclipse.userstorage.tests</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-test-plugin</packaging>
</project>
diff --git a/org.eclipse.userstorage.ui/META-INF/MANIFEST.MF b/org.eclipse.userstorage.ui/META-INF/MANIFEST.MF
index e8d283e..5f2fbf1 100644
--- a/org.eclipse.userstorage.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.userstorage.ui/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.userstorage.ui;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -10,8 +10,8 @@ Bundle-Activator: org.eclipse.userstorage.ui.internal.Activator
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.0.0,4.0.0)",
org.eclipse.ui;bundle-version="[3.0.0,4.0.0)",
- org.apache.httpcomponents.httpclient;bundle-version="[4.0.0,5.0.0)",
- org.apache.httpcomponents.httpcore;bundle-version="[4.0.0,5.0.0)",
+ org.apache.httpcomponents.httpclient;bundle-version="[4.0.0,4.4.0)",
+ org.apache.httpcomponents.httpcore;bundle-version="[4.0.0,4.4.0)",
org.eclipse.userstorage;bundle-version="[1.0.0,2.0.0)";visibility:=reexport
-Export-Package: org.eclipse.userstorage.ui;version="1.0.0",
- org.eclipse.userstorage.ui.internal;version="1.0.0";x-internal:=true
+Export-Package: org.eclipse.userstorage.ui;version="1.0.1",
+ org.eclipse.userstorage.ui.internal;version="1.0.1";x-internal:=true
diff --git a/org.eclipse.userstorage.ui/pom.xml b/org.eclipse.userstorage.ui/pom.xml
index afddc54..c91745a 100644
--- a/org.eclipse.userstorage.ui/pom.xml
+++ b/org.eclipse.userstorage.ui/pom.xml
@@ -20,6 +20,6 @@
</parent>
<groupId>org.eclipse.userstorage</groupId>
<artifactId>org.eclipse.userstorage.ui</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>
diff --git a/org.eclipse.userstorage/META-INF/MANIFEST.MF b/org.eclipse.userstorage/META-INF/MANIFEST.MF
index 49ef91c..e134eae 100644
--- a/org.eclipse.userstorage/META-INF/MANIFEST.MF
+++ b/org.eclipse.userstorage/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.userstorage;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
@@ -11,13 +11,13 @@ Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.0.0,4.0.0)",
org.eclipse.core.net;bundle-version="[1.2.0,2.0.0)",
org.eclipse.equinox.security;bundle-version="[1.0.0,2.0.0)",
- org.apache.httpcomponents.httpclient;bundle-version="[4.0.0,5.0.0)",
- org.apache.httpcomponents.httpcore;bundle-version="[4.0.0,5.0.0)",
+ org.apache.httpcomponents.httpclient;bundle-version="[4.0.0,4.4.0)",
+ org.apache.httpcomponents.httpcore;bundle-version="[4.0.0,4.4.0)",
org.apache.commons.logging;bundle-version="[1.0.0,2.0.0)",
org.apache.commons.codec;bundle-version="[1.6.0,2.0.0)"
-Export-Package: org.eclipse.userstorage;version="1.0.0",
- org.eclipse.userstorage.internal;version="1.0.0";x-friends:="org.eclipse.userstorage.tests,org.eclipse.userstorage.ui",
- org.eclipse.userstorage.internal.util;version="1.0.0";x-friends:="org.eclipse.userstorage.tests,org.eclipse.userstorage.ui",
- org.eclipse.userstorage.spi;version="1.0.0",
- org.eclipse.userstorage.util;version="1.0.0"
+Export-Package: org.eclipse.userstorage;version="1.0.1",
+ org.eclipse.userstorage.internal;version="1.0.1";x-friends:="org.eclipse.userstorage.tests,org.eclipse.userstorage.ui",
+ org.eclipse.userstorage.internal.util;version="1.0.1";x-friends:="org.eclipse.userstorage.tests,org.eclipse.userstorage.ui",
+ org.eclipse.userstorage.spi;version="1.0.1",
+ org.eclipse.userstorage.util;version="1.0.1"
Eclipse-BuddyPolicy: registered
diff --git a/org.eclipse.userstorage/pom.xml b/org.eclipse.userstorage/pom.xml
index 63e7dbe..43009a8 100644
--- a/org.eclipse.userstorage/pom.xml
+++ b/org.eclipse.userstorage/pom.xml
@@ -20,6 +20,6 @@
</parent>
<groupId>org.eclipse.userstorage</groupId>
<artifactId>org.eclipse.userstorage</artifactId>
- <version>1.0.0-SNAPSHOT</version>
+ <version>1.0.1-SNAPSHOT</version>
<packaging>eclipse-plugin</packaging>
</project>

Back to the top